commit:     be39248e48dbe1e168ac79144178b7250e99c6ec
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 17 17:52:26 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 17 17:53:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be39248e

dev-libs/date: fix src_test

* Drop dead (unset) SRC_DIR reference
* Set CXX, given this is a C++ library, and it was calling clang++
  without this

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/date/date-3.0.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-libs/date/date-3.0.3.ebuild b/dev-libs/date/date-3.0.3.ebuild
index 9c8a941541d6..70364c33a9f8 100644
--- a/dev-libs/date/date-3.0.3.ebuild
+++ b/dev-libs/date/date-3.0.3.ebuild
@@ -28,6 +28,6 @@ src_configure() {
 }
 
 src_test() {
-       cd "${SRC_DIR}"test/ || die
-       CC="$(tc-getCC)" ./testit || die
+       cd test/ || die
+       CC="$(tc-getCC)" CXX="$(tc-getCXX)" ./testit || die
 }

Reply via email to